image: mcr.microsoft.com/dotnet/sdk:5.0

stages:
  - deploy

deploy:
  stage: deploy
  script:        
    - mkdir ../packages
    - cd src
    - ls
    - dotnet pack --configuration Release --output ../packages
    - dotnet nuget add source "https://gitlab.com/api/v4/projects/30180407/packages/nuget/index.json" --name gitlab --username whimsy_admin --password QNZe5BTZfS_ynsnxzVvu --store-password-in-clear-text
    - cd ../packages
    - dotnet nuget push *.nupkg --source gitlab